> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.teez.kz/llms.txt
> Use this file to discover all available pages before exploring further.

# Подтвердить телеграмм токен



## OpenAPI

````yaml /api-reference/swagger.json post /api/seller/v1/telegram/confirm-token
openapi: 3.0.1
info:
  title: Teez Seller API — Combined
  version: v1.0
servers:
  - url: https://seller-api.teez.kz
security:
  - oauth2: []
paths:
  /api/seller/v1/telegram/confirm-token:
    post:
      tags:
        - TelegramExternal
      summary: Подтвердить телеграмм токен
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmTokenApiRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ConfirmTokenApiRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ConfirmTokenApiRequest'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConfirmTokenApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConfirmTokenApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConfirmTokenApiResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ConfirmTokenApiRequest:
      type: object
      properties:
        token:
          type: string
          nullable: true
        chatId:
          type: integer
          format: int64
        userName:
          type: string
          nullable: true
        languageCode:
          type: string
          nullable: true
      additionalProperties: false
    ConfirmTokenApiResponse:
      type: object
      properties:
        success:
          type: boolean
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    oauth2:
      type: http
      description: Please enter valid JWT token
      scheme: Bearer
      bearerFormat: JWT

````